<?php
namespace XLite\Module\Foridev\TrustPay\View;

class Payment extends \XLite\View\AView {
    private $paymentMethod;
    
    private $card_accepted_currencies = [
        'AUD',
        'CAD',
        'CZK',
        'DKK',
        'EUR',
        'GBP',
        'HRK',
        'HUF',
        'JPY',
        'NOK',
        'PLN',
        'RON',
        'SEK',
        'USD',
    ];

    public function __construct(array $params = array())
    {
        parent::__construct($params);
        $this->paymentMethod = $this->getCart()->getPaymentMethod();
    }

    protected function getDefaultTemplate()
    {
        return 'modules/Foridev/TrustPay/checkout.twig';
    }

    protected function showLogos()
    {
        return $this->paymentMethod->getSetting('show_logos');
    }

    protected function checkCurrency($pmethod) {
        if($pmethod == 'BankTransfer') {
            return $this->paymentMethod->getSetting('currency') == $this->getCart()->getCurrency()->getCode();
        }
        elseif($pmethod == 'Card') {
            return in_array($this->getCart()->getCurrency()->getCode(), $this->card_accepted_currencies);
        }
    }
    

    protected function getMethods() {
        return $this->paymentMethod->getSetting('methods');
    }

    protected function translation($text) {
        $locale = $this->paymentMethod->getSetting('locale');

        $translate = '';

        $data = array(
            'bank_tranfer' => array(
                'en' => 'Instant bank transfers',
                'sk' => 'Okamžité bankové prevody',
                'cs' => 'Okamžité bankovní převody'
            ),
            'credit_card' => array(
                'en' => 'Card Payments',
                'sk' => 'Platby kartou',
                'cs' => 'Platby kartou'
            ),
            'error_currency' => array(
                'en' => 'Currency not supported',
                'sk' => 'Currency not supported',
                'cs' => 'Currency not supported'
            ),
        );

        if(isset($data[$text]) && isset($data[$text][$locale])) {
            $translate = $data[$text][$locale];
        }

        return $translate;
    }
}