function getTrustPay() {
    jQuery.post(
        'cart.php',
        {
            target: 'trust_pay',
            action: 'get_url',
            trustpay_method: jQuery('input[name="payment\[trustpay_method\]"]:checked').val()
        },
        function (data) {
            if(data.status) {
                showTrustPay(data.url);
            } else {
                alert(data.error);
            }
        }
    );
}

function showTrustPay(url) {
    jQuery('#TrustPayFrame').attr('src', url);
}

function onMessage(event) {
    var data = event.data;

    if (typeof(window[data.func]) === "function") {
        window[data.func].call(null, data.message);
    }
}

function openPopup() {
    if(jQuery('#TrustPayFrame').attr('src')) {
        var iframe = document.getElementById("TrustPayFrame");
        iframe.style.position = 'fixed';
        iframe.style.left = 0;
        iframe.style.right = 0;
        iframe.style.top = 0;
        iframe.style.bottom = 0;
        iframe.style.border = 'none';
        iframe.style.transition = 'opacity .5s ease-in-out';
        iframe.style.zIndex = '99999';
        iframe.style.opacity = 1;
        iframe.style.width = '100%';
        iframe.style.height = '100%';
    }
}

function closePopup(message) {
    var iframe = document.getElementById('TrustPayFrame');
    iframe.style.opacity = 0;

    jQuery('.place-order')
        .removeClass('disabled')
        .prop('disabled', false);

    setTimeout(function() {
        iframe.style.width = 0;
        iframe.style.height = 0;
    }, 1000);
}

function redirectPopup(url) {
    window.top.location.href = url;
}

core.bind(
    'checkout.main.initialize',
    function() {

        if (window.addEventListener) {
            window.addEventListener("message", onMessage, false);
        }
        else if (window.attachEvent) {
            window.attachEvent("onmessage", onMessage, false);
        }

        core.bind(
            'checkout.common.ready',
            function(event, state) {
                var iFrame = jQuery('#TrustPayFrame');

                var isNewCheckout = typeof Checkout !== 'undefined'
                    && typeof Checkout.instance !== 'undefined';

                if (iFrame.length  && (!isNewCheckout || Checkout.instance.getState().sections.current.name === 'payment')) {
                    jQuery.post(
                        'cart.php',
                        jQuery('form.place').serialize(),
                        function() {
                            getTrustPay()
                        }
                    );
                }

                state.state = false;
            }
        );
    }
);